Function
removeEdge
Removes an edge from the graph. For automatons a label is required.
removeEdge(g, source, target [, label])
removeEdge(g, e)
Include Headers
seqan/graph_types.h
Parameters

g | A graph. Types: Graph
source | A vertex descriptor. Types: VertexDescriptor
target | A second vertex descriptor. Types: VertexDescriptor
label | A label for the edge. Types: Alphabet Remarks: Required to remove an edge in an Automaton.
e | An edge descriptor. Types: EdgeDescriptor

Return Values
void
See Also
addEdge, addEdges
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48